commit:     383e5745db099c5e42eb582b0437fbbe683c78ee
Author:     Mike Auty <ikelos <AT> gentoo <DOT> org>
AuthorDate: Thu Apr 17 00:31:51 2014 +0000
Commit:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Sun Apr 20 15:48:28 2014 +0000
URL:        
http://git.overlays.gentoo.org/gitweb/?p=proj/gnome.git;a=commit;h=383e5745

gnome-base/gnome-control-center: 3.10.3 → 3.12.0

Bump gnome-control-center, rebasing the optional patch and updating the 
appropriate deps.

---
 .../gnome-control-center-3.12.0-optional.patch     | 353 +++++++++++++++++++++
 .../gnome-control-center-3.12.0.ebuild             | 162 ++++++++++
 2 files changed, 515 insertions(+)

diff --git 
a/gnome-base/gnome-control-center/files/gnome-control-center-3.12.0-optional.patch
 
b/gnome-base/gnome-control-center/files/gnome-control-center-3.12.0-optional.patch
new file mode 100644
index 0000000..f1a626e
--- /dev/null
+++ 
b/gnome-base/gnome-control-center/files/gnome-control-center-3.12.0-optional.patch
@@ -0,0 +1,353 @@
+diff --git a/configure.ac b/configure.ac
+index 4100481..f5f5d02 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -140,13 +140,58 @@ PKG_CHECK_MODULES(MOUSE_PANEL, $COMMON_MODULES xi >= 1.2
+ PKG_CHECK_MODULES(NETWORK_PANEL, $COMMON_MODULES gmodule-2.0)
+ PKG_CHECK_MODULES(NOTIFICATIONS_PANEL, $COMMON_MODULES libgnome-menu-3.0)
+ PKG_CHECK_MODULES(ONLINE_ACCOUNTS_PANEL, $COMMON_MODULES goa-1.0 
goa-backend-1.0 >= $GOA_REQUIRED_VERSION)
++
++build_online_accounts=false
++AC_ARG_ENABLE(goa,
++       AC_HELP_STRING([--disable-goa],
++               [disable online accounts management panel]),
++       [case "${enableval}" in
++               yes) WANT_ONLINE_ACCOUNTS=yes ;;
++               no) WANT_ONLINE_ACCOUNTS=no ;;
++               *) AC_MSG_ERROR(bad value ${enableval} for --disable-goa) ;;
++       esac],
++       [WANT_ONLINE_ACCOUNTS=yes]) dnl Default value
++
++if test x$WANT_ONLINE_ACCOUNTS = xyes; then
++       PKG_CHECK_MODULES(ONLINE_ACCOUNTS_PANEL, $COMMON_MODULES goa-1.0 
goa-backend-1.0 >= $GOA_REQUIRED_VERSION)
++       build_online_accounts=true
++fi
++if test "x$build_online_accounts" = xtrue ; then
++       AC_DEFINE(BUILD_ONLINE_ACCOUNTS, 1, [Define to 1 to build the Online 
Accounts panel])
++fi
++AM_CONDITIONAL(BUILD_ONLINE_ACCOUNTS, test "x$build_online_accounts" = 
"xtrue")
++AC_SUBST(ONLINE_ACCOUNTS_PANEL_CFLAGS)
++AC_SUBST(ONLINE_ACCOUNTS_PANEL_LIBS)
++
+ PKG_CHECK_MODULES(POWER_PANEL, $COMMON_MODULES upower-glib >= 0.99.0
+                   gnome-settings-daemon >= $GSD_REQUIRED_VERSION)
+-PKG_CHECK_MODULES(COLOR_PANEL, $COMMON_MODULES
+-                  colord >= $COLORD_REQUIRED_VERSION
+-                  colord-gtk >= $COLORD_GTK_REQUIRED_VERSION
+-                  libsoup-2.4
+-                  gnome-desktop-3.0 >= $GNOME_DESKTOP_REQUIRED_VERSION)
++
++build_color=false
++AC_ARG_ENABLE(color,
++       AC_HELP_STRING([--disable-color],
++               [disable color management panel]),
++       [case "${enableval}" in
++               yes) WANT_COLOR=yes ;;
++               no) WANT_COLOR=no ;;
++               *) AC_MSG_ERROR(bad value ${enableval} for --disable-color) ;;
++       esac],
++       [WANT_COLOR=yes]) dnl Default value
++
++if test x$WANT_COLOR = xyes; then
++       PKG_CHECK_MODULES(COLOR_PANEL, $COMMON_MODULES
++               colord >= $COLORD_REQUIRED_VERSION
++               colord-gtk >= $COLORD_GTK_REQUIRED_VERSION
++               libsoup-2.4
++               gnome-desktop-3.0 >= $GNOME_DESKTOP_REQUIRED_VERSION)
++       build_color=true
++fi
++if test "x$build_color" = xtrue ; then
++       AC_DEFINE(BUILD_COLOR, 1, [Define to 1 to build the Color panel])
++fi
++AM_CONDITIONAL(BUILD_COLOR, test "x$build_color" = "xtrue")
++AC_SUBST(COLOR_PANEL_CFLAGS)
++AC_SUBST(COLOR_PANEL_LIBS)
++
+ PKG_CHECK_MODULES(PRINTERS_PANEL, $COMMON_MODULES
+                   polkit-gobject-1 >= $POLKIT_REQUIRED_VERSION)
+ PKG_CHECK_MODULES(PRIVACY_PANEL, $COMMON_MODULES)
+@@ -206,8 +251,25 @@ fi
+ AM_CONDITIONAL(HAVE_NM_UNSTABLE, [test x$nm_unstable = xyes])
+ 
+ # Check for gnome-bluetooth
+-PKG_CHECK_MODULES(BLUETOOTH, $COMMON_MODULES gnome-bluetooth-1.0 >= 3.11.1,
+-                [have_bluetooth=yes], have_bluetooth=no)
++have_bluetooth=no
++AC_ARG_ENABLE(bluetooth,
++       AC_HELP_STRING([--disable-bluetooth],
++               [disable bluetooth management panel]),
++       [case "${enableval}" in
++               yes) WANT_BLUETOOTH=yes ;;
++               no) WANT_BLUETOOTH=no ;;
++               *) AC_MSG_ERROR(bad value ${enableval} for 
--disable-bluetooth) ;;
++       esac],
++       [WANT_BLUETOOTH=yes]) dnl Default value
++
++if test x$WANT_BLUETOOTH = xyes; then
++       # Check for gnome-bluetooth
++       PKG_CHECK_MODULES(BLUETOOTH, $COMMON_MODULES gnome-bluetooth-1.0 >= 
3.9.3,
++               [have_bluetooth=yes], have_bluetooth=no)
++       have_bluetooth=yes
++fi
++
++
+ if test "x$have_bluetooth" = xyes ; then
+       AC_DEFINE(BUILD_BLUETOOTH, 1, [Define to 1 to build the Bluetooth 
panel])
+ fi
+@@ -292,15 +354,26 @@ case $host_os in
+     if test "$host_cpu" = s390 -o "$host_cpu" = s390x; then
+       have_wacom=no
+     else
+-      PKG_CHECK_MODULES(WACOM_PANEL, $COMMON_MODULES
+-                        gnome-settings-daemon >= $GSD_REQUIRED_VERSION
+-                        xi >= 1.2 x11 libwacom >= $LIBWACOM_REQUIRED_VERSION
+-                        gnome-desktop-3.0 >= $GNOME_DESKTOP_REQUIRED_VERSION
+-                        clutter-gtk-1.0
+-                        clutter-1.0 >= $CLUTTER_REQUIRED_VERSION, 
[have_wacom=yes], [have_wacom=no])
+-      if test x${have_wacom} = xyes; then
++      AC_ARG_ENABLE(wacom,
++                    AC_HELP_STRING([--disable-wacom],
++                                   [disable wacom management panel]),
++                    [case "${enableval}" in
++                            yes) WANT_WACOM=yes ;;
++                            no) WANT_WACOM=no ;;
++                            *) AC_MSG_ERROR(bad value ${enableval} for 
--disable-wacom) ;;
++                  esac],
++                  [WANT_WACOM=yes]) dnl Default value
++
++      if test x$WANT_WACOM = xyes; then
++        PKG_CHECK_MODULES(WACOM_PANEL, $COMMON_MODULES
++                          gnome-settings-daemon >= $GSD_REQUIRED_VERSION
++                          xi >= 1.2 x11 libwacom >= $LIBWACOM_REQUIRED_VERSION
++                          gnome-desktop-3.0 >= $GNOME_DESKTOP_REQUIRED_VERSION
++                          clutter-gtk-1.0
++                          clutter-1.0 >= $CLUTTER_REQUIRED_VERSION)
+         AC_DEFINE(BUILD_WACOM, 1, [Define to 1 to build the Wacom panel])
+         AC_DEFINE(HAVE_WACOM, 1, [Define to 1 is Wacom is supportted])
++        have_wacom=yes
+       fi
+     fi
+     ;;
+@@ -311,16 +384,22 @@ esac
+ AM_CONDITIONAL(BUILD_WACOM, [test x${have_wacom} = xyes])
+ 
+ # Kerberos kerberos support
+-AC_PATH_PROG(KRB5_CONFIG, krb5-config, no)
+-if test "$KRB5_CONFIG" = "no"; then
+-  AC_MSG_ERROR([krb5-config executable not found in your path - should be 
installed with the kerberos libraries])
+-fi
+-
+-AC_MSG_CHECKING(for krb5 libraries and flags)
+-KRB5_CFLAGS="`$KRB5_CONFIG --cflags`"
+-KRB5_LIBS="`$KRB5_CONFIG --libs`"
+-AC_MSG_RESULT($KRB5_CFLAGS $KRB5_LIBS)
++AC_ARG_ENABLE([kerberos],
++              AS_HELP_STRING([--disable-kerberos], [disable kerberos support 
(default: enabled)]),,
++              [enable_kerberos=yes])
++
++if test x"$enable_kerberos" != x"no" ; then
++    AC_PATH_PROG(KRB5_CONFIG, krb5-config, no)
++    if test "$KRB5_CONFIG" = "no"; then
++      AC_MSG_ERROR([krb5-config executable not found in your path - should be 
installed with the kerberos libraries])
++    fi
+ 
++    AC_MSG_CHECKING(for krb5 libraries and flags)
++    KRB5_CFLAGS="`$KRB5_CONFIG --cflags`"
++    KRB5_LIBS="`$KRB5_CONFIG --libs`"
++    AC_MSG_RESULT($KRB5_CFLAGS $KRB5_LIBS)
++    AC_DEFINE(HAVE_KERBEROS, 1, [defined if krb5 is available])
++fi
+ AC_SUBST(KRB5_CFLAGS)
+ AC_SUBST(KRB5_LIBS)
+ 
+@@ -539,6 +618,11 @@ if test "x$have_bluetooth" = "xyes"; then
+ else
+       AC_MSG_NOTICE([   Bluetooth panel disabled])
+ fi
++if test "x$build_color" = "xtrue"; then
++      AC_MSG_NOTICE([** colord (Color panel)])
++else
++      AC_MSG_NOTICE([   Color panel disabled])
++fi
+ if test "x$enable_cups" = "xyes"; then
+       AC_MSG_NOTICE([** CUPS (Printers panel)])
+ else
+@@ -549,6 +633,16 @@ if test "x$have_cheese" = "xyes"; then
+ else
+       AC_MSG_NOTICE([   Users panel webcam support disabled])
+ fi
++if test "x$build_online_accounts" = "xtrue"; then
++       AC_MSG_NOTICE([** gnome-online-accounts (Online Accounts panel)])
++else
++       AC_MSG_NOTICE([   Online Accounts panel disabled])
++fi
++if test "x$build_wacom" = "xtrue"; then
++       AC_MSG_NOTICE([** libwacom (Wacom Graphics Tablet panel)])
++else
++       AC_MSG_NOTICE([   Wacom Graphics Tablet panel disabled])
++fi
+ if test "x$have_wacom" = "xyes"; then
+       AC_MSG_NOTICE([** wacom (Wacom tablet panel)])
+ else
+diff --git a/panels/Makefile.am b/panels/Makefile.am
+index 9961c25..0c54622 100644
+--- a/panels/Makefile.am
++++ b/panels/Makefile.am
+@@ -2,11 +2,9 @@ SUBDIRS= \
+       common \
+       background \
+       power \
+-      color \
+       display \
+       mouse \
+       notifications \
+-      online-accounts \
+       region \
+       info \
+       sound \
+@@ -18,6 +16,10 @@ SUBDIRS= \
+       privacy \
+       sharing
+ 
++if BUILD_COLOR
++SUBDIRS += color
++endif
++
+ if BUILD_WACOM
+ SUBDIRS += wacom
+ endif
+@@ -34,4 +36,8 @@ if BUILD_BLUETOOTH
+ SUBDIRS += bluetooth
+ endif
+ 
++if BUILD_ONLINE_ACCOUNTS
++SUBDIRS += online-accounts
++endif
++
+ -include $(top_srcdir)/git.mk
+diff --git a/panels/user-accounts/um-realm-manager.c 
b/panels/user-accounts/um-realm-manager.c
+index 0849160..58d50a6 100644
+--- a/panels/user-accounts/um-realm-manager.c
++++ b/panels/user-accounts/um-realm-manager.c
+@@ -22,7 +22,9 @@
+ 
+ #include "um-realm-manager.h"
+ 
++#ifdef HAVE_KERBEROS
+ #include <krb5/krb5.h>
++#endif
+ 
+ #include <glib.h>
+ #include <glib/gi18n.h>
+@@ -696,6 +698,7 @@ login_closure_free (gpointer data)
+         g_slice_free (LoginClosure, login);
+ }
+ 
++#ifdef HAVE_KERBEROS
+ static krb5_error_code
+ login_perform_kinit (krb5_context k5,
+                      const gchar *realm,
+@@ -759,12 +762,14 @@ login_perform_kinit (krb5_context k5,
+ 
+         return code;
+ }
++#endif /* HAVE_KERBEROS */
+ 
+ static void
+ kinit_thread_func (GSimpleAsyncResult *async,
+                    GObject *object,
+                    GCancellable *cancellable)
+ {
++#ifdef HAVE_KERBEROS
+         LoginClosure *login = g_simple_async_result_get_op_res_gpointer 
(async);
+         krb5_context k5 = NULL;
+         krb5_error_code code;
+@@ -842,6 +847,10 @@ kinit_thread_func (GSimpleAsyncResult *async,
+ 
+         if (k5)
+                 krb5_free_context (k5);
++#else /* HAVE_KERBEROS */
++        g_simple_async_result_set_error (async, UM_REALM_ERROR, 
UM_REALM_ERROR_GENERIC,
++                                         _("gnome-control-center was built 
without kerberos support"));
++#endif
+ }
+ 
+ void
+diff --git a/shell/Makefile.am b/shell/Makefile.am
+index ad7a68f..cc968ac 100644
+--- a/shell/Makefile.am
++++ b/shell/Makefile.am
+@@ -52,14 +52,12 @@ gnome_control_center_LDADD =                               
                \
+       $(top_builddir)/libgd/libgd.la                                  \
+       $(top_builddir)/panels/common/liblanguage.la                    \
+       $(top_builddir)/panels/background/libbackground.la              \
+-      $(top_builddir)/panels/color/libcolor.la                        \
+       $(top_builddir)/panels/datetime/libdate_time.la                 \
+       $(top_builddir)/panels/display/libdisplay.la                    \
+       $(top_builddir)/panels/info/libinfo.la                          \
+       $(top_builddir)/panels/keyboard/libkeyboard.la                  \
+       $(top_builddir)/panels/mouse/libmouse-properties.la             \
+       $(top_builddir)/panels/notifications/libnotifications.la        \
+-      $(top_builddir)/panels/online-accounts/libonline-accounts.la    \
+       $(top_builddir)/panels/power/libpower.la                        \
+       $(top_builddir)/panels/privacy/libprivacy.la                    \
+       $(top_builddir)/panels/region/libregion.la                      \
+@@ -85,6 +83,14 @@ if BUILD_BLUETOOTH
+ gnome_control_center_LDADD += $(top_builddir)/panels/bluetooth/libbluetooth.la
+ endif
+ 
++if BUILD_COLOR
++gnome_control_center_LDADD += $(top_builddir)/panels/color/libcolor.la
++endif
++
++if BUILD_ONLINE_ACCOUNTS
++gnome_control_center_LDADD += 
$(top_builddir)/panels/online-accounts/libonline-accounts.la
++endif
++
+ AM_CPPFLAGS = -DGNOMELOCALEDIR="\"$(datadir)/locale\""
+ 
+ # Dbus service file
+diff --git a/shell/cc-panel-loader.c b/shell/cc-panel-loader.c
+index 26576dc..8a92f95 100644
+--- a/shell/cc-panel-loader.c
++++ b/shell/cc-panel-loader.c
+@@ -33,7 +33,9 @@ extern GType cc_background_panel_get_type (void);
+ #ifdef BUILD_BLUETOOTH
+ extern GType cc_bluetooth_panel_get_type (void);
+ #endif /* BUILD_BLUETOOTH */
++#ifdef BUILD_COLOR
+ extern GType cc_color_panel_get_type (void);
++#endif /* BUILD_COLOR */
+ extern GType cc_date_time_panel_get_type (void);
+ extern GType cc_display_panel_get_type (void);
+ extern GType cc_info_panel_get_type (void);
+@@ -43,7 +45,9 @@ extern GType cc_mouse_panel_get_type (void);
+ extern GType cc_network_panel_get_type (void);
+ #endif /* BUILD_NETWORK */
+ extern GType cc_notifications_panel_get_type (void);
++#ifdef BUILD_ONLINE_ACCOUNTS
+ extern GType cc_goa_panel_get_type (void);
++#endif /* BUILD_ONLINE_ACCOUNTS */
+ extern GType cc_power_panel_get_type (void);
+ #ifdef BUILD_PRINTERS
+ extern GType cc_printers_panel_get_type (void);
+@@ -77,7 +81,9 @@ static struct {
+ #ifdef BUILD_BLUETOOTH
+   PANEL_TYPE("bluetooth",        cc_bluetooth_panel_get_type    ),
+ #endif
++#ifdef BUILD_COLOR
+   PANEL_TYPE("color",            cc_color_panel_get_type        ),
++#endif
+   PANEL_TYPE("datetime",         cc_date_time_panel_get_type    ),
+   PANEL_TYPE("display",          cc_display_panel_get_type      ),
+   PANEL_TYPE("info",             cc_info_panel_get_type         ),
+@@ -87,7 +93,9 @@ static struct {
+   PANEL_TYPE("network",          cc_network_panel_get_type      ),
+ #endif
+   PANEL_TYPE("notifications",    cc_notifications_panel_get_type),
++#ifdef BUILD_ONLINE_ACCOUNTS
+   PANEL_TYPE("online-accounts",  cc_goa_panel_get_type          ),
++#endif
+   PANEL_TYPE("power",            cc_power_panel_get_type        ),
+ #ifdef BUILD_PRINTERS
+   PANEL_TYPE("printers",         cc_printers_panel_get_type     ),

diff --git a/gnome-base/gnome-control-center/gnome-control-center-3.12.0.ebuild 
b/gnome-base/gnome-control-center/gnome-control-center-3.12.0.ebuild
new file mode 100644
index 0000000..26f5b1e
--- /dev/null
+++ b/gnome-base/gnome-control-center/gnome-control-center-3.12.0.ebuild
@@ -0,0 +1,162 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: 
/var/cvsroot/gentoo-x86/gnome-base/gnome-control-center/gnome-control-center-3.10.3.ebuild,v
 1.3 2014/03/09 11:58:09 pacho Exp $
+
+EAPI="5"
+GCONF_DEBUG="yes"
+GNOME2_LA_PUNT="yes" # gmodule is used, which uses dlopen
+
+inherit autotools bash-completion-r1 eutils gnome2
+
+DESCRIPTION="GNOME's main interface to configure various aspects of the 
desktop"
+HOMEPAGE="https://git.gnome.org/browse/gnome-control-center/";
+
+LICENSE="GPL-2+"
+SLOT="2"
+IUSE="+bluetooth +colord +cups +gnome-online-accounts +i18n 
input_devices_wacom kerberos v4l"
+KEYWORDS="~alpha amd64 ~arm ~ia64 ~ppc ~ppc64 ~sh ~sparc x86 ~x86-fbsd 
~x86-freebsd ~amd64-linux ~x86-linux ~x86-solaris"
+
+# False positives caused by nested configure scripts
+QA_CONFIGURE_OPTIONS=".*"
+
+# gnome-session-2.91.6-r1 is needed so that 10-user-dirs-update is run at login
+# g-s-d[policykit] needed for bug #403527
+#
+# kerberos unfortunately means mit-krb5; build fails with heimdal
+
+# FIXME: modemmanager is not optional
+#        networkmanager is not optional
+
+COMMON_DEPEND="
+       >=dev-libs/glib-2.39.91:2
+       >=x11-libs/gdk-pixbuf-2.23.0:2
+       >=x11-libs/gtk+-3.11.1:3
+       >=gnome-base/gsettings-desktop-schemas-3.9.91
+       >=gnome-base/gnome-desktop-3.11.3:3=
+       >=gnome-base/gnome-settings-daemon-3.8.3[colord?,policykit]
+       >=gnome-base/libgnomekbd-2.91.91
+
+       >=dev-libs/libpwquality-1.2.2
+       dev-libs/libxml2:2
+       gnome-base/gnome-menus:3
+       gnome-base/libgtop:2
+       media-libs/fontconfig
+
+       >=media-libs/libcanberra-0.13[gtk3]
+       >=media-sound/pulseaudio-2[glib]
+       >=sys-auth/polkit-0.97
+       >=sys-power/upower-0.99.0
+       >=x11-libs/libnotify-0.7.3:0=
+       >=media-libs/grilo-0.2.6:0.2
+       >=gnome-extra/nm-applet-0.9.7.995
+       >=net-misc/networkmanager-0.9.8[modemmanager]
+       >=net-misc/modemmanager-0.7.990
+
+       virtual/opengl
+       x11-apps/xmodmap
+       x11-libs/libX11
+       x11-libs/libXxf86misc
+       >=x11-libs/libXi-1.2
+
+       bluetooth? ( >=net-wireless/gnome-bluetooth-3.11.3:= )
+       colord? (
+               net-libs/libsoup:2.4
+               >=x11-misc/colord-0.1.34 )
+       cups? (
+               >=net-print/cups-1.4[dbus]
+               || ( >=net-fs/samba-3.6.14-r1[smbclient] 
>=net-fs/samba-4.0.0[client] ) )
+       gnome-online-accounts? ( >=net-libs/gnome-online-accounts-3.9.90 )
+       i18n? ( >=app-i18n/ibus-1.5.2 )
+       kerberos? ( app-crypt/mit-krb5 )
+       v4l? (
+               media-libs/gstreamer:1.0
+               media-libs/clutter-gtk:1.0
+               >=media-video/cheese-3.5.91 )
+       input_devices_wacom? (
+               >=dev-libs/libwacom-0.7
+               >=media-libs/clutter-1.11.3:1.0
+               media-libs/clutter-gtk:1.0
+               >=x11-libs/libXi-1.2 )
+"
+# <gnome-color-manager-3.1.2 has file collisions with g-c-c-3.1.x
+RDEPEND="${COMMON_DEPEND}
+       || ( ( app-admin/openrc-settingsd sys-auth/consolekit ) 
>=sys-apps/systemd-31 )
+       >=sys-apps/accountsservice-0.6.30
+       x11-themes/gnome-icon-theme-symbolic
+       colord? (
+               >=gnome-extra/gnome-color-manager-3
+               >=x11-misc/colord-0.1.34
+               >=x11-libs/colord-gtk-0.1.24 )
+       cups? (
+               >=app-admin/system-config-printer-gnome-1.3.5
+               net-print/cups-pk-helper )
+       input_devices_wacom? ( 
gnome-base/gnome-settings-daemon[input_devices_wacom] )
+
+       !<gnome-base/gdm-2.91.94
+       !<gnome-extra/gnome-color-manager-3.1.2
+       !gnome-extra/gnome-media[pulseaudio]
+       !<gnome-extra/gnome-media-2.32.0-r300
+       !<net-wireless/gnome-bluetooth-3.3.2
+"
+# PDEPEND to avoid circular dependency
+PDEPEND=">=gnome-base/gnome-session-2.91.6-r1"
+
+DEPEND="${COMMON_DEPEND}
+       x11-proto/xproto
+       x11-proto/xf86miscproto
+       x11-proto/kbproto
+
+       dev-libs/libxml2:2
+       dev-libs/libxslt
+       >=dev-util/intltool-0.40.1
+       >=sys-devel/gettext-0.17
+       virtual/pkgconfig
+
+       cups? ( sys-apps/sed )
+
+       gnome-base/gnome-common
+"
+# Needed for autoreconf
+#      gnome-base/gnome-common
+
+src_prepare() {
+       # Gentoo handles completions in a different directory, bugs #465094 and 
#477390
+       sed -i "s|^completiondir =.*|completiondir = $(get_bashcompdir)|" \
+               shell/Makefile.am || die "sed completiondir failed"
+
+       # Make some panels and dependencies optional; requires eautoreconf
+       # https://bugzilla.gnome.org/686840, 697478, 700145
+       epatch "${FILESDIR}"/${PN}-3.12.0-optional.patch
+
+       # Fix some absolute paths to be appropriate for Gentoo
+       epatch "${FILESDIR}"/${PN}-3.10.2-gentoo-paths.patch
+
+       epatch_user
+
+       eautoreconf
+
+       # panels/datetime/Makefile.am gets touched by "gentoo-paths" patch.
+       # We need to touch timedated{c,h} to prevent them from being
+       # regenerated (bug #415901)
+       # Upstream think they should be removed, preventing compilation errors 
too
+       # (https://bugzilla.gnome.org/704822)
+       [[ -f panels/datetime/timedated.h ]] && rm -f 
panels/datetime/timedated.h
+       [[ -f panels/datetime/timedated.c ]] && rm -f 
panels/datetime/timedated.c
+
+       gnome2_src_prepare
+}
+
+src_configure() {
+       gnome2_src_configure \
+               --disable-update-mimedb \
+               --disable-static \
+               --enable-documentation \
+               $(use_enable bluetooth) \
+               $(use_enable colord color) \
+               $(use_enable cups) \
+               $(use_enable gnome-online-accounts goa) \
+               $(use_enable i18n ibus) \
+               $(use_enable kerberos) \
+               $(use_with v4l cheese) \
+               $(use_enable input_devices_wacom wacom)
+}

Reply via email to